From f1489c8e319df1094261b934dd172875dfe74c6b Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Thu, 12 Jan 2012 20:07:13 -0600
Subject: [PATCH] Replaced NAME with SimpleName.

This patch is based on Adam's patch. It replaces the NAME constants
defined in various extensions with their class's simple name.

Ticket #2
---
 pki/base/ca/src/com/netscape/ca/CAService.java     |    4 +-
 .../ca/src/com/netscape/ca/CMSCRLExtensions.java   |   75 ++++++++++----------
 .../ca/src/com/netscape/ca/CRLIssuingPoint.java    |   22 +++---
 .../constraints/UniqueSubjectNameConstraints.java  |    2 +-
 .../cms/policy/extensions/AuthInfoAccessExt.java   |    6 +-
 .../extensions/AuthorityKeyIdentifierExt.java      |    8 +-
 .../cms/policy/extensions/BasicConstraintsExt.java |   12 ++--
 .../extensions/CRLDistributionPointsExt.java       |    6 +-
 .../policy/extensions/CertificatePoliciesExt.java  |    4 +-
 .../extensions/CertificateRenewalWindowExt.java    |    4 +-
 .../cms/policy/extensions/ExtendedKeyUsageExt.java |    4 +-
 .../cms/policy/extensions/IssuerAltNameExt.java    |    4 +-
 .../cms/policy/extensions/KeyUsageExt.java         |    4 +-
 .../cms/policy/extensions/NSCCommentExt.java       |    4 +-
 .../cms/policy/extensions/NSCertTypeExt.java       |    8 +-
 .../cms/policy/extensions/NameConstraintsExt.java  |    6 +-
 .../cms/policy/extensions/OCSPNoCheckExt.java      |    4 +-
 .../policy/extensions/PolicyConstraintsExt.java    |    4 +-
 .../cms/policy/extensions/PolicyMappingsExt.java   |    6 +-
 .../extensions/PrivateKeyUsagePeriodExt.java       |    4 +-
 .../extensions/RemoveBasicConstraintsExt.java      |    2 +-
 .../cms/policy/extensions/SubjAltNameExt.java      |    4 +-
 .../cms/policy/extensions/SubjectAltNameExt.java   |    4 +-
 .../extensions/SubjectDirectoryAttributesExt.java  |    6 +-
 .../policy/extensions/SubjectKeyIdentifierExt.java |    6 +-
 .../constraint/UniqueSubjectNameConstraint.java    |    2 +-
 .../netscape/cms/publish/mappers/AVAPattern.java   |    2 +-
 .../cms/publish/mappers/MapAVAPattern.java         |    2 +-
 .../publishers/LdapEncryptCertPublisher.java       |    2 +-
 .../cms/servlet/admin/CMSAdminServlet.java         |    4 +-
 .../com/netscape/cms/servlet/base/CMSServlet.java  |    2 +-
 .../cms/servlet/cert/HashEnrollServlet.java        |    6 +-
 .../cms/servlet/cert/scep/CRSEnrollment.java       |    4 +-
 .../cms/servlet/request/ProcessCertReq.java        |    8 +-
 .../src/com/netscape/cmscore/cert/CertUtils.java   |    2 +-
 .../netscape/cmscore/cert/OidLoaderSubsystem.java  |   14 ++--
 .../netscape/cmscore/dbs/RevocationInfoMapper.java |    4 +-
 .../netscape/cmscore/dbs/X509CertImplMapper.java   |    4 +-
 .../notification/ReqCertSANameEmailResolver.java   |    2 +-
 .../netscape/cmscore/security/CertificateInfo.java |    4 +-
 .../netscape/cmscore/security/JssSubsystem.java    |    2 +-
 .../com/netscape/cmscore/security/KeyCertUtil.java |   18 +++---
 .../src/com/netscape/cmstools/PrettyPrintCrl.java  |    8 +-
 .../extensions/AuthInfoAccessExtension.java        |    9 +--
 .../CertificateRenewalWindowExtension.java         |    5 --
 .../extensions/CertificateScopeOfUseExtension.java |    4 -
 .../extensions/ExtendedKeyUsageExtension.java      |    7 +--
 .../extensions/InhibitAnyPolicyExtension.java      |    7 +--
 .../security/extensions/NSCertTypeExtension.java   |    8 --
 .../security/extensions/OCSPNoCheckExtension.java  |    7 +--
 .../extensions/PresenceServerExtension.java        |    7 --
 .../extensions/SubjectInfoAccessExtension.java     |    9 ---
 .../x509/AuthorityKeyIdentifierExtension.java      |    7 --
 .../security/x509/BasicConstraintsExtension.java   |    7 --
 .../x509/CRLDistributionPointsExtension.java       |    9 +--
 .../netscape/security/x509/CRLNumberExtension.java |    7 --
 .../netscape/security/x509/CRLReasonExtension.java |    8 --
 .../security/x509/CertificateIssuerExtension.java  |    9 +--
 .../x509/CertificatePoliciesExtension.java         |    8 --
 .../security/x509/DeltaCRLIndicatorExtension.java  |    9 +--
 .../util/src/netscape/security/x509/Extension.java |    5 ++
 .../src/netscape/security/x509/Extensions.java     |    2 +-
 .../security/x509/FreshestCRLExtension.java        |   11 +---
 .../security/x509/HoldInstructionExtension.java    |    9 +--
 .../security/x509/InvalidityDateExtension.java     |    9 +--
 .../x509/IssuerAlternativeNameExtension.java       |    7 --
 .../x509/IssuingDistributionPointExtension.java    |    9 +--
 .../netscape/security/x509/KeyUsageExtension.java  |    7 --
 .../security/x509/NSCCommentExtension.java         |    8 --
 .../security/x509/NameConstraintsExtension.java    |    7 --
 .../util/src/netscape/security/x509/OIDMap.java    |   28 ++++----
 .../security/x509/PolicyConstraintsExtension.java  |    8 --
 .../security/x509/PolicyMappingsExtension.java     |    8 --
 .../security/x509/PrivateKeyUsageExtension.java    |    7 --
 .../x509/SubjectAlternativeNameExtension.java      |    7 --
 .../x509/SubjectDirAttributesExtension.java        |   12 +---
 .../x509/SubjectKeyIdentifierExtension.java        |    7 --
 77 files changed, 188 insertions(+), 393 deletions(-)

diff --git a/pki/base/ca/src/com/netscape/ca/CAService.java b/pki/base/ca/src/com/netscape/ca/CAService.java
index d086ee551ae25b9f893c63d2160471e6ecf2e51e..ae01ccdd72f13b7d42d98bbd13e89fbecd5e1a26 100644
--- a/pki/base/ca/src/com/netscape/ca/CAService.java
+++ b/pki/base/ca/src/com/netscape/ca/CAService.java
@@ -995,7 +995,7 @@ public class CAService implements ICAService, IService {
         if (exts != null) {
             try {
                 reasonext = (CRLReasonExtension)
-                        exts.get(CRLReasonExtension.NAME);
+                        exts.get(CRLReasonExtension.class.getSimpleName());
             } catch (X509ExtensionException e) {
                 // this means no crl reason extension set.
             }
@@ -1081,7 +1081,7 @@ public class CAService implements ICAService, IService {
         if (exts != null) {
             try {
                 reasonext = (CRLReasonExtension)
-                        exts.get(CRLReasonExtension.NAME);
+                        exts.get(CRLReasonExtension.class.getSimpleName());
             } catch (X509ExtensionException e) {
                 mCA.log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_CA_CERT_ON_HOLD", serialNo.toString()));
                 throw new ECAException(CMS.getUserMessage("CMS_CA_IS_NOT_ON_HOLD",
diff --git a/pki/base/ca/src/com/netscape/ca/CMSCRLExtensions.java b/pki/base/ca/src/com/netscape/ca/CMSCRLExtensions.java
index 0d98b96319539c896f5b7d7f88950baef4c96a1d..6f3213e4cbc76697a692604fa1fb49811df6794a 100644
--- a/pki/base/ca/src/com/netscape/ca/CMSCRLExtensions.java
+++ b/pki/base/ca/src/com/netscape/ca/CMSCRLExtensions.java
@@ -88,75 +88,75 @@ public class CMSCRLExtensions implements ICMSCRLExtensions {
     static {
 
         /* Default CRL Extensions */
-        mDefaultCRLExtensionNames.addElement(AuthorityKeyIdentifierExtension.NAME);
-        mDefaultCRLExtensionNames.addElement(IssuerAlternativeNameExtension.NAME);
-        mDefaultCRLExtensionNames.addElement(CRLNumberExtension.NAME);
-        mDefaultCRLExtensionNames.addElement(DeltaCRLIndicatorExtension.NAME);
-        mDefaultCRLExtensionNames.addElement(IssuingDistributionPointExtension.NAME);
-        mDefaultCRLExtensionNames.addElement(FreshestCRLExtension.NAME);
-        mDefaultCRLExtensionNames.addElement(AuthInfoAccessExtension.NAME2);
+        mDefaultCRLExtensionNames.addElement(AuthorityKeyIdentifierExtension.class.getSimpleName());
+        mDefaultCRLExtensionNames.addElement(IssuerAlternativeNameExtension.class.getSimpleName());
+        mDefaultCRLExtensionNames.addElement(CRLNumberExtension.class.getSimpleName());
+        mDefaultCRLExtensionNames.addElement(DeltaCRLIndicatorExtension.class.getSimpleName());
+        mDefaultCRLExtensionNames.addElement(IssuingDistributionPointExtension.class.getSimpleName());
+        mDefaultCRLExtensionNames.addElement(FreshestCRLExtension.class.getSimpleName());
+        mDefaultCRLExtensionNames.addElement(AuthInfoAccessExtension.class.getSimpleName());
 
         /* Default CRL Entry Extensions */
-        mDefaultCRLEntryExtensionNames.addElement(CRLReasonExtension.NAME);
+        mDefaultCRLEntryExtensionNames.addElement(CRLReasonExtension.class.getSimpleName());
         //mDefaultCRLEntryExtensionNames.addElement(HoldInstructionExtension.NAME);
-        mDefaultCRLEntryExtensionNames.addElement(InvalidityDateExtension.NAME);
+        mDefaultCRLEntryExtensionNames.addElement(InvalidityDateExtension.class.getSimpleName());
         //mDefaultCRLEntryExtensionNames.addElement(CertificateIssuerExtension.NAME);
 
         /* Default Enabled CRL Extensions */
-        mDefaultEnabledCRLExtensions.addElement(CRLNumberExtension.NAME);
+        mDefaultEnabledCRLExtensions.addElement(CRLNumberExtension.class.getSimpleName());
         //mDefaultEnabledCRLExtensions.addElement(DeltaCRLIndicatorExtension.NAME);
-        mDefaultEnabledCRLExtensions.addElement(CRLReasonExtension.NAME);
-        mDefaultEnabledCRLExtensions.addElement(InvalidityDateExtension.NAME);
+        mDefaultEnabledCRLExtensions.addElement(CRLReasonExtension.class.getSimpleName());
+        mDefaultEnabledCRLExtensions.addElement(InvalidityDateExtension.class.getSimpleName());
 
         /* Default Critical CRL Extensions */
-        mDefaultCriticalCRLExtensions.addElement(DeltaCRLIndicatorExtension.NAME);
-        mDefaultCriticalCRLExtensions.addElement(IssuingDistributionPointExtension.NAME);
+        mDefaultCriticalCRLExtensions.addElement(DeltaCRLIndicatorExtension.class.getSimpleName());
+        mDefaultCriticalCRLExtensions.addElement(IssuingDistributionPointExtension.class.getSimpleName());
         //mDefaultCriticalCRLExtensions.addElement(CertificateIssuerExtension.NAME);
 
         /* CRL extension IDs */
         mDefaultCRLExtensionIDs.put(PKIXExtensions.AuthorityKey_Id.toString(),
-                AuthorityKeyIdentifierExtension.NAME);
+                AuthorityKeyIdentifierExtension.class.getSimpleName());
         mDefaultCRLExtensionIDs.put(PKIXExtensions.IssuerAlternativeName_Id.toString(),
-                IssuerAlternativeNameExtension.NAME);
+                IssuerAlternativeNameExtension.class.getSimpleName());
         mDefaultCRLExtensionIDs.put(PKIXExtensions.CRLNumber_Id.toString(),
-                CRLNumberExtension.NAME);
+                CRLNumberExtension.class.getSimpleName());
         mDefaultCRLExtensionIDs.put(PKIXExtensions.DeltaCRLIndicator_Id.toString(),
-                DeltaCRLIndicatorExtension.NAME);
+                DeltaCRLIndicatorExtension.class.getSimpleName());
         mDefaultCRLExtensionIDs.put(PKIXExtensions.IssuingDistributionPoint_Id.toString(),
-                IssuingDistributionPointExtension.NAME);
+                IssuingDistributionPointExtension.class.getSimpleName());
         mDefaultCRLExtensionIDs.put(PKIXExtensions.ReasonCode_Id.toString(),
-                CRLReasonExtension.NAME);
+                CRLReasonExtension.class.getSimpleName());
         mDefaultCRLExtensionIDs.put(PKIXExtensions.HoldInstructionCode_Id.toString(),
-                HoldInstructionExtension.NAME);
+                HoldInstructionExtension.class.getSimpleName());
         mDefaultCRLExtensionIDs.put(PKIXExtensions.InvalidityDate_Id.toString(),
-                InvalidityDateExtension.NAME);
+                InvalidityDateExtension.class.getSimpleName());
         //mDefaultCRLExtensionIDs.put(PKIXExtensions.CertificateIssuer_Id.toString(),
         //                     CertificateIssuerExtension.NAME);
         mDefaultCRLExtensionIDs.put(PKIXExtensions.FreshestCRL_Id.toString(),
-                FreshestCRLExtension.NAME);
+                FreshestCRLExtension.class.getSimpleName());
         mDefaultCRLExtensionIDs.put(AuthInfoAccessExtension.ID.toString(),
                 AuthInfoAccessExtension.NAME2);
 
         /* Class names */
-        mDefaultCRLExtensionClassNames.put(AuthorityKeyIdentifierExtension.NAME,
+        mDefaultCRLExtensionClassNames.put(AuthorityKeyIdentifierExtension.class.getSimpleName(),
                 "com.netscape.cms.crl.CMSAuthorityKeyIdentifierExtension");
-        mDefaultCRLExtensionClassNames.put(IssuerAlternativeNameExtension.NAME,
+        mDefaultCRLExtensionClassNames.put(IssuerAlternativeNameExtension.class.getSimpleName(),
                 "com.netscape.cms.crl.CMSIssuerAlternativeNameExtension");
-        mDefaultCRLExtensionClassNames.put(CRLNumberExtension.NAME,
+        mDefaultCRLExtensionClassNames.put(CRLNumberExtension.class.getSimpleName(),
                 "com.netscape.cms.crl.CMSCRLNumberExtension");
-        mDefaultCRLExtensionClassNames.put(DeltaCRLIndicatorExtension.NAME,
+        mDefaultCRLExtensionClassNames.put(DeltaCRLIndicatorExtension.class.getSimpleName(),
                 "com.netscape.cms.crl.CMSDeltaCRLIndicatorExtension");
-        mDefaultCRLExtensionClassNames.put(IssuingDistributionPointExtension.NAME,
+        mDefaultCRLExtensionClassNames.put(IssuingDistributionPointExtension.class.getSimpleName(),
                 "com.netscape.cms.crl.CMSIssuingDistributionPointExtension");
-        mDefaultCRLExtensionClassNames.put(CRLReasonExtension.NAME,
+        mDefaultCRLExtensionClassNames.put(CRLReasonExtension.class.getSimpleName(),
                 "com.netscape.cms.crl.CMSCRLReasonExtension");
-        mDefaultCRLExtensionClassNames.put(HoldInstructionExtension.NAME,
+        mDefaultCRLExtensionClassNames.put(HoldInstructionExtension.class.getSimpleName(),
                 "com.netscape.cms.crl.CMSHoldInstructionExtension");
-        mDefaultCRLExtensionClassNames.put(InvalidityDateExtension.NAME,
+        mDefaultCRLExtensionClassNames.put(InvalidityDateExtension.class.getSimpleName(),
                 "com.netscape.cms.crl.CMSInvalidityDateExtension");
         //mDefaultCRLExtensionClassNames.put(CertificateIssuerExtension.NAME,
         //        "com.netscape.cms.crl.CMSCertificateIssuerExtension");
-        mDefaultCRLExtensionClassNames.put(FreshestCRLExtension.NAME,
+        mDefaultCRLExtensionClassNames.put(FreshestCRLExtension.class.getSimpleName(),
                 "com.netscape.cms.crl.CMSFreshestCRLExtension");
         mDefaultCRLExtensionClassNames.put(AuthInfoAccessExtension.NAME2,
                 "com.netscape.cms.crl.CMSAuthInfoAccessExtension");
@@ -164,25 +164,25 @@ public class CMSCRLExtensions implements ICMSCRLExtensions {
         try {
             OIDMap.addAttribute(DeltaCRLIndicatorExtension.class.getName(),
                     DeltaCRLIndicatorExtension.OID,
-                    DeltaCRLIndicatorExtension.NAME);
+                    DeltaCRLIndicatorExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
         try {
             OIDMap.addAttribute(HoldInstructionExtension.class.getName(),
                     HoldInstructionExtension.OID,
-                    HoldInstructionExtension.NAME);
+                    HoldInstructionExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
         try {
             OIDMap.addAttribute(InvalidityDateExtension.class.getName(),
                     InvalidityDateExtension.OID,
-                    InvalidityDateExtension.NAME);
+                    InvalidityDateExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
         try {
             OIDMap.addAttribute(FreshestCRLExtension.class.getName(),
                     FreshestCRLExtension.OID,
-                    FreshestCRLExtension.NAME);
+                    FreshestCRLExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
     }
@@ -624,7 +624,8 @@ public class CMSCRLExtensions implements ICMSCRLExtensions {
                 CMSCRLExtensions cmsCRLExtensions = (CMSCRLExtensions) ip.getCRLExtensions();
                 if (cmsCRLExtensions != null) {
                     issuingDistPointExtEnabled =
-                            cmsCRLExtensions.isCRLExtensionEnabled(IssuingDistributionPointExtension.NAME);
+                            cmsCRLExtensions.isCRLExtensionEnabled(IssuingDistributionPointExtension.class
+                                    .getSimpleName());
                 }
 
                 CMS.debug("issuingDistPointExtEnabled = " + issuingDistPointExtEnabled);
diff --git a/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java b/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
index 46ddb544d08c1fc52cd597e88a63128e026e169e..668d96fadb6a7f9590e4a9ceea21fa198fe94ec3 100644
--- a/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
+++ b/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
@@ -1141,7 +1141,7 @@ public class CRLIssuingPoint implements ICRLIssuingPoint, Runnable {
                 }
 
                 if (name.equals(Constants.PR_CA_CERTS_ONLY)) {
-                    Extension distExt = getCRLExtension(IssuingDistributionPointExtension.NAME);
+                    Extension distExt = getCRLExtension(IssuingDistributionPointExtension.class.getSimpleName());
                     IssuingDistributionPointExtension iExt = (IssuingDistributionPointExtension) distExt;
                     IssuingDistributionPoint issuingDistributionPoint = null;
                     if (iExt != null)
@@ -1168,7 +1168,7 @@ public class CRLIssuingPoint implements ICRLIssuingPoint, Runnable {
                                     crlSubStore.getSubStore(ICertificateAuthority.PROP_CRLEXT_SUBSTORE);
                             crlExtsSubStore =
                                     crlExtsSubStore
-                                            .getSubStore(IssuingDistributionPointExtension.NAME);
+                                            .getSubStore(IssuingDistributionPointExtension.class.getSimpleName());
 
                             if (crlExtsSubStore != null) {
                                 String val = "";
@@ -2232,9 +2232,9 @@ public class CRLIssuingPoint implements ICRLIssuingPoint, Runnable {
 
     public boolean isDeltaCRLEnabled() {
         return (mAllowExtensions && mEnableCRLCache &&
-                mCMSCRLExtensions.isCRLExtensionEnabled(DeltaCRLIndicatorExtension.NAME) &&
-                mCMSCRLExtensions.isCRLExtensionEnabled(CRLNumberExtension.NAME) &&
-                mCMSCRLExtensions.isCRLExtensionEnabled(CRLReasonExtension.NAME));
+                mCMSCRLExtensions.isCRLExtensionEnabled(DeltaCRLIndicatorExtension.class.getSimpleName()) &&
+                mCMSCRLExtensions.isCRLExtensionEnabled(CRLNumberExtension.class.getSimpleName()) &&
+                mCMSCRLExtensions.isCRLExtensionEnabled(CRLReasonExtension.class.getSimpleName()));
     }
 
     public boolean isThisCurrentDeltaCRL(X509CRLImpl deltaCRL) {
@@ -2471,7 +2471,7 @@ public class CRLIssuingPoint implements ICRLIssuingPoint, Runnable {
                     String extName = extNames.elementAt(i);
 
                     if (mCMSCRLExtensions.isCRLExtensionEnabled(extName) &&
-                            (!extName.equals(FreshestCRLExtension.NAME))) {
+                            (!extName.equals(FreshestCRLExtension.class.getSimpleName()))) {
                         mCMSCRLExtensions.addToCRLExtensions(ext, extName, null);
                     }
                 }
@@ -2635,7 +2635,7 @@ public class CRLIssuingPoint implements ICRLIssuingPoint, Runnable {
                     String extName = extNames.elementAt(i);
 
                     if (mCMSCRLExtensions.isCRLExtensionEnabled(extName) &&
-                            (!extName.equals(DeltaCRLIndicatorExtension.NAME))) {
+                            (!extName.equals(DeltaCRLIndicatorExtension.class.getSimpleName()))) {
                         mCMSCRLExtensions.addToCRLExtensions(ext, extName, null);
                     }
                 }
@@ -3018,7 +3018,7 @@ class CertRecProcessor implements IElementProcessor {
         }
         boolean isIssuingDistPointExtEnabled = false;
         isIssuingDistPointExtEnabled =
-                exts.isCRLExtensionEnabled(IssuingDistributionPointExtension.NAME);
+                exts.isCRLExtensionEnabled(IssuingDistributionPointExtension.class.getSimpleName());
         if (isIssuingDistPointExtEnabled == false) {
             mIssuingDistPointEnabled = false;
             return false;
@@ -3031,13 +3031,13 @@ class CertRecProcessor implements IElementProcessor {
         Vector<String> extNames = exts.getCRLExtensionNames();
         for (int i = 0; i < extNames.size(); i++) {
             String extName = extNames.elementAt(i);
-            if (extName.equals(IssuingDistributionPointExtension.NAME)) {
+            if (extName.equals(IssuingDistributionPointExtension.class.getSimpleName())) {
                 exts.addToCRLExtensions(ext, extName, null);
             }
         }
         Extension issuingDistExt = null;
         try {
-            issuingDistExt = ext.get(IssuingDistributionPointExtension.NAME);
+            issuingDistExt = ext.get(IssuingDistributionPointExtension.class.getSimpleName());
         } catch (Exception e) {
         }
 
@@ -3077,7 +3077,7 @@ class CertRecProcessor implements IElementProcessor {
 
         Extension crlReasonExt = null;
         try {
-            crlReasonExt = entryExts.get(CRLReasonExtension.NAME);
+            crlReasonExt = entryExts.get(CRLReasonExtension.class.getSimpleName());
         } catch (Exception e) {
             return includeCert;
         }
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/UniqueSubjectNameConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/UniqueSubjectNameConstraints.java
index 8c106800aac0df1919fda0cbe537cdab5cf61fd3..adf912dfa358ddcd5219e92e154b8846d99f7815 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/UniqueSubjectNameConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/UniqueSubjectNameConstraints.java
@@ -253,7 +253,7 @@ public class UniqueSubjectNameConstraints extends APolicyRule
         } else {
             try {
                 ext = (KeyUsageExtension) extensions.get(
-                            KeyUsageExtension.NAME);
+                            KeyUsageExtension.class.getSimpleName());
             } catch (IOException e) {
                 // extension isn't there.
             }
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/AuthInfoAccessExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/AuthInfoAccessExt.java
index fea1265679f18608c0e88fdc296aceeef7408028..2619890ab1c8dac1d8897fb446470b854f525603 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/AuthInfoAccessExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/AuthInfoAccessExt.java
@@ -261,9 +261,9 @@ public class AuthInfoAccessExt extends APolicyRule implements
                 } else {
                     // check to see if AIA is already exist
                     try {
-                        extensions.delete(AuthInfoAccessExtension.NAME);
+                        extensions.delete(AuthInfoAccessExtension.class.getSimpleName());
                         log(ILogger.LL_WARN,
-                                "Previous extension deleted: " + AuthInfoAccessExtension.NAME);
+                                "Previous extension deleted: " + AuthInfoAccessExtension.class.getSimpleName());
                     } catch (IOException ex) {
                     }
                 }
@@ -280,7 +280,7 @@ public class AuthInfoAccessExt extends APolicyRule implements
 
                     aiaExt.addAccessDescription(oid, gn);
                 }
-                extensions.set(AuthInfoAccessExtension.NAME, aiaExt);
+                extensions.set(AuthInfoAccessExtension.class.getSimpleName(), aiaExt);
 
             } catch (IOException e) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("POLICY_UNEXPECTED_POLICY_ERROR", NAME, e.getMessage()));
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/AuthorityKeyIdentifierExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/AuthorityKeyIdentifierExt.java
index 971379a46e61821b2c06cb09d17f97ddce6495fd..63b84a391986f646358d53dd9e0c44fcfe8fcbd8 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/AuthorityKeyIdentifierExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/AuthorityKeyIdentifierExt.java
@@ -225,7 +225,7 @@ public class AuthorityKeyIdentifierExt extends APolicyRule
             try {
                 if (extensions != null) {
                     authorityKeyIdExt = (AuthorityKeyIdentifierExtension)
-                            extensions.get(AuthorityKeyIdentifierExtension.NAME);
+                            extensions.get(AuthorityKeyIdentifierExtension.class.getSimpleName());
                 }
             } catch (IOException e) {
                 // extension isn't there. 
@@ -241,7 +241,7 @@ public class AuthorityKeyIdentifierExt extends APolicyRule
                     CMS.debug(
                             "AuthorityKeyIdentifierKeyExt: request id from user " + req.getRequestId() +
                                     " had authority key identifier - deleted");
-                    extensions.delete(AuthorityKeyIdentifierExtension.NAME);
+                    extensions.delete(AuthorityKeyIdentifierExtension.class.getSimpleName());
                 }
             }
 
@@ -258,7 +258,7 @@ public class AuthorityKeyIdentifierExt extends APolicyRule
                 certInfo.set(X509CertInfo.EXTENSIONS, extensions);
             }
             extensions.set(
-                    AuthorityKeyIdentifierExtension.NAME, mTheExtension);
+                    AuthorityKeyIdentifierExtension.class.getSimpleName(), mTheExtension);
             CMS.debug(
                     "AuthorityKeyIdentifierKeyExt: added authority key id ext to request " + req.getRequestId());
             return PolicyResult.ACCEPTED;
@@ -361,7 +361,7 @@ public class AuthorityKeyIdentifierExt extends APolicyRule
 
         try {
             subjKeyIdExt = (SubjectKeyIdentifierExtension)
-                    exts.get(SubjectKeyIdentifierExtension.NAME);
+                    exts.get(SubjectKeyIdentifierExtension.class.getSimpleName());
         } catch (IOException e) {
             // extension isn't there.
             CMS.debug(
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java
index 1d22d48ecb72b6fc1aba893c4b5829712ed6cbba..df96bd0720440e8befd669c8167e3f620eb7c4a1 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/BasicConstraintsExt.java
@@ -256,7 +256,7 @@ public class BasicConstraintsExt extends APolicyRule
                     certInfo.get(X509CertInfo.EXTENSIONS);
             if (extensions != null) {
                 basicExt = (BasicConstraintsExtension)
-                        extensions.get(BasicConstraintsExtension.NAME);
+                        extensions.get(BasicConstraintsExtension.class.getSimpleName());
             }
         } catch (IOException e) {
             // no extensions or basic constraints extension.
@@ -281,7 +281,7 @@ public class BasicConstraintsExt extends APolicyRule
             }
             if (basicExt != null) {
                 try {
-                    extensions.delete(BasicConstraintsExtension.NAME);
+                    extensions.delete(BasicConstraintsExtension.class.getSimpleName());
                 } catch (IOException e) {
                 }
             }
@@ -300,7 +300,7 @@ public class BasicConstraintsExt extends APolicyRule
             }
 
             try {
-                extensions.set(BasicConstraintsExtension.NAME, critExt);
+                extensions.set(BasicConstraintsExtension.class.getSimpleName(), critExt);
             } catch (IOException e) {
             }
             CMS.debug(
@@ -377,8 +377,8 @@ public class BasicConstraintsExt extends APolicyRule
                                 CMS.getUserMessage("CMS_POLICY_BASIC_CONSTRAINTS_ERROR", NAME), "");
                         return PolicyResult.REJECTED; // unrecoverable error.
                     }
-                    extensions.delete(BasicConstraintsExtension.NAME);
-                    extensions.set(BasicConstraintsExtension.NAME, critExt);
+                    extensions.delete(BasicConstraintsExtension.class.getSimpleName());
+                    extensions.set(BasicConstraintsExtension.class.getSimpleName(), critExt);
                 }
             } catch (IOException e) {
                 // not possible in these cases.
@@ -449,7 +449,7 @@ public class BasicConstraintsExt extends APolicyRule
             return PolicyResult.REJECTED; // unrecoverable error.
         }
         try {
-            extensions.set(BasicConstraintsExtension.NAME, newExt);
+            extensions.set(BasicConstraintsExtension.class.getSimpleName(), newExt);
         } catch (IOException e) {
             // doesn't happen.
         }
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/CRLDistributionPointsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/CRLDistributionPointsExt.java
index 1ede3d5d0741a4a928c52178c658d3b8d1569e32..5c8c3851c0c902fc7c42ec3fc927c2766eecd7f5 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/CRLDistributionPointsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/CRLDistributionPointsExt.java
@@ -222,7 +222,7 @@ public class CRLDistributionPointsExt extends APolicyRule
             netscape.security.x509.OIDMap.addAttribute(
                     CRLDistributionPointsExtension.class.getName(),
                     CRLDistributionPointsExtension.OID,
-                    CRLDistributionPointsExtension.NAME);
+                    CRLDistributionPointsExtension.class.getSimpleName());
         } catch (CertificateException e) {
             // ignore, just means it has already been added
         }
@@ -438,12 +438,12 @@ public class CRLDistributionPointsExt extends APolicyRule
             } else {
                 // remove any previously computed version of the extension
                 try {
-                    extensions.delete(CRLDistributionPointsExtension.NAME);
+                    extensions.delete(CRLDistributionPointsExtension.class.getSimpleName());
                 } catch (IOException e) {
                     // extension isn't there
                 }
             }
-            extensions.set(CRLDistributionPointsExtension.NAME, mCrldpExt);
+            extensions.set(CRLDistributionPointsExtension.class.getSimpleName(), mCrldpExt);
 
             return PolicyResult.ACCEPTED;
 
